Delete a file
DELETE
/v1/files/{file_id}
const url = 'http://127.0.0.1:8000/v1/files/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url http://127.0.0.1:8000/v1/files/exampleDelete one stored file and its local content.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”file_id
required
File Id
Immutable file identifier.
string
Immutable file identifier.
Responses
Section titled “Responses”Successful Response
The requested ParseHawk resource does not exist.
Media typeapplication/json
ApiErrorResponse
Error returned by request validation or a ParseHawk domain service.
object
detail
required
Any of:
string
Array<object>
object
key
additional properties
any
Examplegenerated
{ "detail": [ {} ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}Unexpected server error.
Media typeapplication/json
ApiErrorResponse
Error returned by request validation or a ParseHawk domain service.
object
detail
required
Any of:
string
Array<object>
object
key
additional properties
any
Examplegenerated
{ "detail": [ {} ]}